Name:          gnome-backgrounds
Version:       3.30.0
Release:       3
Summary:       GNOME desktop comes with a desktop background
License:       GPLv2
URL:           http://www.gnome.org
Source0:       https://download.gnome.org/sources/gnome-backgrounds/3.30/gnome-backgrounds-%{version}.tar.xz

BuildArch:     noarch
BuildRequires: gettext meson
Obsoletes:     gnome-backgrounds < 3.24.0-3

%description
The gnome-backgrounds package contains the default desktop background,called the GNOME desktop
version of the Adwaita background.

%package       extras
Summary:       Other GNOME backgrounds
License:       GPLv2
Obsoletes:     gnome-backgrounds < 3.24.0-3

%description   extras
The package includes other desktop background with the GNOME desktop packaged together.

%prep
%autosetup -n gnome-backgrounds-3.30.0 -p1

%build
%meson
%meson_build

%install
%meson_install
install -d %{buildroot}%{_datadir}/backgrounds/images

%files
%doc NEWS README AUTHORS COPYING
%{_datadir}/gnome-background-properties/adwaita.xml
%{_datadir}/backgrounds/gnome/{adwaita-day.jpg,adwaita-morning.jpg,adwaita-night.jpg,adwaita-timed.xml}
%exclude %{_datadir}/locale

%files extras
%doc NEWS README AUTHORS COPYING
%{_datadir}/gnome-background-properties/gnome-backgrounds.xml
%{_datadir}/backgrounds/gnome/{AndICallItBoke.jpg,ColdWarm.jpg,Dark_Ivy.jpg,endless-shapes.jpg,Fabric.jpg}
%{_datadir}/backgrounds/gnome/{Flowerbed.jpg,Icescape.jpg,Road.jpg,Sandstone.jpg,SeaSunset.jpg}
%{_datadir}/backgrounds/gnome/{symbolics-1.jpg,symbolics-2.jpg,Wood.jpg}

%changelog
* Sun Jan 19 2020 daiqianwen <daiqianwen@huawei.com> - 3.30.0-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Tue Dec 10 2019 fengbing <fengbing7@huawei.com> - 3.30.0-2
- Package init
